Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class CrawlerUtilities.AlertType

    java.lang.Object
      oracle.ifs.core.util.CrawlerUtilities.AlertType

Enclosing class:
  CrawlerUtilities

    public static class CrawlerUtilities.AlertType

extends java.lang.Object

Field Summary
`static int` | `CATEGORY_TYPE_CREATED` Alert code to indicate creation of an adhoc category
`static int` | `CATEGORY_TYPE_DELETED` Alert code to indicate removal of an adhoc category
`static int` | `CATEGORY_TYPE_UPDATED` Alert code to indicate an adhoc category has been modified
`static int` | `DOCUMENT_CATEGORY_INFO_CHANGED` Alert code to indicate a change in the document's category information
`static int` | `DOCUMENT_CONTENT_CHANGED` Alert code to indicate a change to a document's content
`static int` | `DOCUMENT_CREATED` Alert code to indicate a newly created document
`static int` | `DOCUMENT_DELETE_PENDING` Alert code to indicate a document is pending deletion
`static int` | `DOCUMENT_DELETE_PENDING_CANCELED` Alert code to indicate a document is no longer pending deletion
`static int` | `DOCUMENT_DELETED` Alert code to indicate the deletion of a document
`static int` | `DOCUMENT_MOVED` Alert code to indicate a document has a different parent folder
`static int` | `DOCUMENT_SECURITY_REFERENCE_CHANGED` Alert code to indicate a document now refers to a different security definition
`static int` | `DOCUMENT_UPDATED` Alert code to indicate a document has had one or more parts of its primary metadata updated
`static int` | `FOLDER_CREATED` Alert code to indicate a newly created folder
`static int` | `FOLDER_DELETED` Alert code to indicate the deletion of a folder
`static int` | `FOLDER_MOVED` Alert code to indicate a folder has a different parent folder
`static int` | `FOLDER_RENAMED` Alert code to indicate a folder has been renamed
`static int` | `GRANTEE_CREATED` Alert code to indicate a newly created grantee
`static int` | `GRANTEE_DELETED` Alert code to indicate the deletion of a grantee
`static int` | `GRANTEE_RESOLUTION_CHANGED` Alert code to indicate a change in resolution of the grantee
`static int` | `SECURITY_DEFINITION_CHANGED` Alert code to indicate a change in the security definition
`static int` | `SECURITY_DEFINITION_CREATED` Alert code to indicate a newly created security definition
`static int` | `SECURITY_DEFINITION_DELETED` Alert code to indicate the deletion of a security definition
`static int` | `USER_CREATED` Alert code to indicate a newly created user
`static int` | `USER_DELETED` Alert code to indicate the deletion of a user
`static int` | `USER_UPDATED` Alert code to indicate a change in the primary info for a user

Constructor Summary
`CrawlerUtilities.AlertType()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCUMENT_CREATED

    public static final int DOCUMENT_CREATED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a newly created document

  See Also:
    Constant Field Values

### DOCUMENT_UPDATED

    public static final int DOCUMENT_UPDATED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a document has had one or more parts of its primary metadata updated

  See Also:
    Constant Field Values

### DOCUMENT_DELETED

    public static final int DOCUMENT_DELETED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate the deletion of a document

  See Also:
    Constant Field Values

### DOCUMENT_MOVED

    public static final int DOCUMENT_MOVED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a document has a different parent folder

  See Also:
    Constant Field Values

### DOCUMENT_SECURITY_REFERENCE_CHANGED

    public static final int DOCUMENT_SECURITY_REFERENCE_CHANGED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a document now refers to a different security definition

  See Also:
    Constant Field Values

### DOCUMENT_CATEGORY_INFO_CHANGED

    public static final int DOCUMENT_CATEGORY_INFO_CHANGED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a change in the document's category information

  See Also:
    Constant Field Values

### DOCUMENT_CONTENT_CHANGED

    public static final int DOCUMENT_CONTENT_CHANGED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a change to a document's content

  See Also:
    Constant Field Values

### DOCUMENT_DELETE_PENDING

    public static final int DOCUMENT_DELETE_PENDING

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a document is pending deletion

  See Also:
    Constant Field Values

### DOCUMENT_DELETE_PENDING_CANCELED

    public static final int DOCUMENT_DELETE_PENDING_CANCELED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a document is no longer pending deletion

  See Also:
    Constant Field Values

### SECURITY_DEFINITION_CREATED

    public static final int SECURITY_DEFINITION_CREATED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a newly created security definition

  See Also:
    Constant Field Values

### SECURITY_DEFINITION_CHANGED

    public static final int SECURITY_DEFINITION_CHANGED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a change in the security definition

  See Also:
    Constant Field Values

### SECURITY_DEFINITION_DELETED

    public static final int SECURITY_DEFINITION_DELETED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate the deletion of a security definition

  See Also:
    Constant Field Values

### GRANTEE_CREATED

    public static final int GRANTEE_CREATED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a newly created grantee

  See Also:
    Constant Field Values

### GRANTEE_RESOLUTION_CHANGED

    public static final int GRANTEE_RESOLUTION_CHANGED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a change in resolution of the grantee

  See Also:
    Constant Field Values

### GRANTEE_DELETED

    public static final int GRANTEE_DELETED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate the deletion of a grantee

  See Also:
    Constant Field Values

### USER_CREATED

    public static final int USER_CREATED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a newly created user

  See Also:
    Constant Field Values

### USER_UPDATED

    public static final int USER_UPDATED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a change in the primary info for a user

  See Also:
    Constant Field Values

### USER_DELETED

    public static final int USER_DELETED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate the deletion of a user

  See Also:
    Constant Field Values

### FOLDER_CREATED

    public static final int FOLDER_CREATED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a newly created folder

  See Also:
    Constant Field Values

### FOLDER_RENAMED

    public static final int FOLDER_RENAMED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a folder has been renamed

  See Also:
    Constant Field Values

### FOLDER_DELETED

    public static final int FOLDER_DELETED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate the deletion of a folder

  See Also:
    Constant Field Values

### FOLDER_MOVED

    public static final int FOLDER_MOVED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate a folder has a different parent folder

  See Also:
    Constant Field Values

### CATEGORY_TYPE_CREATED

    public static final int CATEGORY_TYPE_CREATED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate creation of an adhoc category

  See Also:
    Constant Field Values

### CATEGORY_TYPE_UPDATED

    public static final int CATEGORY_TYPE_UPDATED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate an adhoc category has been modified

  See Also:
    Constant Field Values

### CATEGORY_TYPE_DELETED

    public static final int CATEGORY_TYPE_DELETED

  Description copied from class: `CrawlerUtilities.AlertType`
  Alert code to indicate removal of an adhoc category

  See Also:
    Constant Field Values

Constructor Detail

### CrawlerUtilities.AlertType

    public CrawlerUtilities.AlertType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD